function mfs_skip(fid)

# usage: mfs_skip(fid)
#
# Input  fid  File handle
#
# The function skips a datablock.
#
# --------------------------------------------------------------------

  line = fgetl(fid);
  len  = min(4, length(line));
  key  = sscanf(line(1:len), "%s");
  while (! strcmp(key, "$End"))
     line = fgetl(fid);
     len  = min(4, length(line));
     key  = sscanf(line(1:len), "%s");
  end

end
